Terminations

Get Termination Document Download Url

Mints a one-hour signed URL for a termination document referenced by a pending change request.

POSThttps://api.toku.com/hris/get-termination-document-download-url

Not available to API keys yet. It will need people:write.

curl --request POST \
  --url 'https://api.toku.com/hris/get-termination-document-download-url' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "changeRequestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "fileKey": "string"
}'
200 response
{
  "fileKey": "string",
  "fileName": "string",
  "mimeType": "string",
  "downloadUrl": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

changeRequestIdstring<uuid>required
fileKeystringrequired

Allowed: at least 1 characters

Response

200Successful response
fileKeystringrequired
fileNamestringrequired
mimeTypestringrequired
downloadUrlstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits